Subject: Ticket Assigned - Delivery
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Fri, 19 Mar 2021 11:09:58 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Hi, I have a complaint about the driver 0548030833 that called me yesterday to deliver my order FP0313210002032.

First he said he didn't know the address which was shared with him via WhatsApp. I called him after and asked when he will deliver my shipment he said in an hour. Then he didn't show up. 
Called him later he said he will finish a delivery and come to me. He did not. I called him again. He said he will come after 30 minutes. After an hour and a half, he sent me a voice message saying he is down stairs. I called him and I told him to come up. He said no and he said he will come back in hour. 
He did not. I called him later and asked when he will come. He said he is on his way. Then he said he is down. I told him to come up. He doesn't want to park... My building has a designated parking spot for drop off. Then he said he would deliver my shipment the next day today when I called asking when he will deliver my order. 
I have never ever encountered a service as bad as this. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2247701